effect effects/holysin/headshot
{
	size	249

	sound "sound"
	{
		soundShader	"effects_walker_squish"
	}
	spawner "splat"
	{
		count		2,5

		sprite
		{
			duration	3,3
			material	"textures/decals/dsplat2"
			generatedOriginNormal

			start
			{
				position { cylinder -1,-1,-1,1,1,1 }
				velocity { box -30,-30,-30,30,30,30 }
				size { point 24,24 }
				rotate { line 0,1 }
			}

			impact
			{
				remove	1
				effect	"effects/monsters/gib_splat"
			}
		}
	}
	emitter "blood"
	{
		duration	2,2
		count		30,30
		locked

		sprite
		{
			duration	2,2
			material	"gfx/effects/gore_spray/bloodhit3"
			gravity		0.05,0.05

			start
			{
				position { line 0,0,0,10,0,0 linearSpacing }
				velocity { box 20,0,0,80,0,80 }
				size { line 19,19,36,36 }
				tint { line 0.0745098,0.00784314,0.00784314,0.156863,0,0 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 26,26 }
				fade { point 1 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	emitter "blood2"
	{
		duration	1,1
		count		15.002,15.002

		sprite
		{
			duration	1,1
			material	"gfx/effects/gore_spray/bloodhit4"
			gravity		0.05,0.05

			start
			{
				position { line 0,0,0,10,0,0 linearSpacing }
				velocity { box 6,4,-5,40,4,80 }
				size { line 40,50,60,60 }
				tint { line 0.117647,0.0156863,0.0156863,0.156863,0,0 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 100,100,140,140 }
				fade { point 1 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	emitter "unnamed4"
	{
		duration	1,1
		count		1,1
		locked

		model
		{
			duration	5,5
			material	"models/gibs/brain_boss_gib"
			model		"models/gibs/brain_pork1.lwo"

			start
			{
				velocity { point -10,0,-38 }
				rotate { box 0,1.22222,0.222222,0,-1.22222,-0.222222 }
			}

			impact
			{
				bounce	0
			}
		}
	}
	emitter "unnamed5"
	{
		duration	1,1
		count		1,1

		model
		{
			duration	1,1
			material	"models/gibs/brain"
			model		"models/gibs/head_pork.lwo"

			start
			{
				velocity { box 60,-60,-60,60,60,60 }
			}
		}
	}
}

