effect effects/monsters/harvester/explode_dying
{
	size	696

	sound "sound"
	{
		soundShader	"harvester_explosion_dying"
	}
	light "light"
	{
		locked

		light
		{
			duration	0.1,0.1
			material	"lights/defaultPointLight"

			start
			{
				position { point 5,0,0 }
				size { point 400,400,400 }
				tint { point 0,0,0 }
			}

			motion
			{
				tint { envelope "arch" }
			}

			end
			{
				tint { point 1,1,1 }
			}
		}
	}
	shake "camerashake2"
	{
		duration	0.7,0.7
		attenuateEmitter
		attenuation	200,600
	}
	spawner "sparks2"
	{
		count		15,15

		sprite
		{
			duration	0.4,0.6
			blend	add
			material	"gfx/effects/energy_sparks/spark3"

			start
			{
				velocity { box 100,-150,-150,500,150,150 }
				angle { box 0,0,0,0.277778,0.277778,0.277778 }
				acceleration { point -500,0,0 }
				size { line 0.5,0.5,4,4 }
				tint { line 1,0.721569,0.309804,1,1,1 }
				offset { box -10,-10,-10,10,10,10 }
			}

			motion
			{
				fade { envelope "linear_flicker" }
				angle { envelope "linear" }
			}

			end
			{
				angle { box 0.277778,0.277778,0.277778,0.555556,0.555556,0.555556 relative }
			}
		}
	}
	spawner "column_fire2"
	{
		count		1.002,1.002

		sprite
		{
			duration	7,7
			material	"gfx/effects/fire/fire1a"

			start
			{
				position { point 0,0,0 linearSpacing }
				velocity { box -31,-30,-70,70,30,70 }
				angle { box 0,0,0,1,1,1 }
				size { box 140,140,180,180 }
				offset { box -20,-20,-2,20,20,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 60,60,80,80 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.277778,0.277778 relative }
			}
		}
	}
	spawner "flash4"
	{
		count		1,4

		sprite
		{
			duration	0.2,0.2
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { line 50,50,160,160 }
				offset { point 0,0,-50 }
				rotate { box 0,1 }
			}

			motion
			{
				tint { envelope "linear" }
				fade { envelope "linear" }
			}
		}
	}
	effect "unnamed9"
	{
		effect	"effects/fire/column_128"
	}
}






