effect effects/vehicles/explosion2
{
	size	5500

	spawner "flash"
	{
		count		2,5
		locked

		sprite
		{
			duration	0.25,0.5
			material	"gfx/effects/weapons/mgun_muzzleflash"

			start
			{
				size { line 4,4,5,5 }
				tint { point 0.705882,0.788235,0.803922 }
				offset { point 10,0,0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 500,500 }
			}
		}
	}
	spawner "fire1"
	{
		count		2,2

		sprite
		{
			duration	0.25,0.25
			blend	add
			material	"gfx/effects/fire/fire1a"
			gravity		-0.15,-0.15

			start
			{
				position { cylinder 0,-15,-15,0,15,15 }
				velocity { box 0,0,0,50,0,0 }
				angle { box 0,0,0,1,1,1 }
				size { point 5,5 }
				fade { point 0 }
				offset { box -5,-5,-5,5,5,5 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 400,400,600,600 }
				fade { point 1 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.222222,0.222222 relative }
			}
		}
	}
	spawner "smoke"
	{
		count		20,30

		sprite
		{
			duration	1,6
			persist
			material	"gfx/effects/smoke/cloud_alpha2"
			gravity		-0.125,0
			generatedOriginNormal

			start
			{
				position { cylinder 0,-50,-50,100,50,50 }
				velocity { point 100,0,0 }
				size { line 20,20,50,50 }
				tint { line 0.286275,0.27451,0.239216,0.309804,0.258824,0.2 }
				fade { point 0 }
				offset { point -50,0,0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 200,200,500,500 }
				fade { point 1 }
				rotate { box -0.222222,0.222222 relative }
			}
		}
	}
	spawner "upsmoke"
	{
		count		5,20

		sprite
		{
			duration	1,2
			persist
			material	"gfx/effects/smoke/cloud_alpha2"

			start
			{
				velocity { box 300,-400,-400,400,400,400 }
				tint { line 0.286275,0.27451,0.239216,0.137255,0.129412,0.109804 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 500,500 }
			}
		}
	}
	decal "scorch"
	{

		decal
		{
			duration	0.002,0.002
			material	"gfx/effects/decals/explosion_impact2"

			start
			{
				size { point 5500,0 }
				rotate { box 0,1 }
			}
		}
	}
	shake "camerashake"
	{
		duration	0.7,0.7
		attenuateEmitter
		attenuation	200,600
	}
	emitter "chunks_trail"
	{
		duration	1,1
		count		30,30

		sprite
		{
			duration	0.5,0.5
			material	"gfx/effects/smoke/cloud_alpha3"

			start
			{
				size { point 10,10 }
				tint { point 0.74902,0.74902,0.74902 }
				fade { point 0.2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 50,50 }
			}
		}
	}
	spawner "joint debris"
	{
		count		2,2
		locked

		debris
		{
			duration	1,1
			persist
			entityDef	"debris_walker_joint"

			start
			{
				position { sphere 100,-10,-10,100,10,10 surface }
				velocity { box 2000,200,-1000,1000,-500,1000 }
			}

			motion
			{
				rotate { envelope "acceleratorfade" }
			}

			end
			{
				rotate { box -22.2222,-22.2222,-22.2222,22.2222,22.2222,22.2222 }
			}
		}
	}
	spawner "MAIN BODY DB"
	{
		count		1,1
		locked

		debris
		{
			duration	0.25,0.25
			persist
			entityDef	"debris_walker_main_body"

			start
			{
				position { sphere 100,-10,-10,100,10,10 surface }
				velocity { box 500,-2000,-2000,3000,-2000,2000 }
			}

			motion
			{
				rotate { envelope "acceleratorfade" }
			}

			end
			{
				rotate { box -5.55556,-5.55556,-5.55556,5.55556,5.55556,5.55556 }
			}
		}
	}
	spawner "rocket launcher"
	{
		count		1,1
		locked

		debris
		{
			duration	0.25,0.25
			persist
			entityDef	"debris_walker_rocket_launcher"

			start
			{
				position { sphere 100,-10,-10,100,10,10 surface }
				velocity { box 500,-2000,-3000,1000,-2000,3000 }
			}

			motion
			{
				rotate { envelope "acceleratorfade" }
			}

			end
			{
				rotate { box -8.33333,-8.33333,-8.33333,8.33333,8.33333,8.33333 }
			}
		}
	}
	spawner "upperleg"
	{
		count		2,2
		locked

		debris
		{
			duration	0.25,0.25
			persist
			entityDef	"debris_walker_upperleg"

			start
			{
				position { sphere 100,-10,-10,100,10,10 surface }
				velocity { box 500,-1000,-1000,1000,-1000,1000 }
			}

			motion
			{
				rotate { envelope "acceleratorfade" }
			}

			end
			{
				rotate { box -13.8889,-13.8889,-13.8889,13.8889,13.8889,13.8889 }
			}
		}
	}
	spawner "chunks2"
	{
		start		0.12,0.12
		count		15,15

		sprite
		{
			duration	1,1
			material	"gfx/effects/rock_alpha"
			entityDef	"debris_walker_upperleg"
			gravity		1,1
			generatedNormal

			start
			{
				position { sphere 200,-200,-200,300,200,200 }
				velocity { box 450,0,0,750,0,0 }
				size { line 6,6,30,30 }
				rotate { box 0,1 }
			}

			motion
			{
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box -0.25,0.25 relative }
			}

			impact
			{
				bounce	0.4
			}
		}
	}
	light "unnamed8"
	{
		locked

		light
		{
			duration	0.16,0.16
			shadows
			material	"lights/round"

			start
			{
				size { point 420,420,190 }
			}
		}
	}
}






