effect effects/vehicles/gev/machinegun/impact_concrete
{
	size	471

	spawner "chunks"
	{
		start		0.04,0.04
		count		7,12

		sprite
		{
			duration	0.5,0.75
			material	"gfx/effects/particles_shapes/concrete_chunks"

			start
			{
				velocity { box 300,-80,-80,400,80,80 }
				size { line 0.5,0.5,6,6 }
				tint { line 0.458824,0.411765,0.337255,0.254902,0.254902,0.188235 }
				rotate { box 0,0.333333 }
			}

			motion
			{
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box 0.333333,0.666667 relative }
			}
		}
	}
	spawner "chunks_physics"
	{
		start		0.04,0.04
		count		1,1

		sprite
		{
			duration	3,3
			material	"gfx/effects/particles_shapes/concrete_chunks"

			start
			{
				position { point 1,0,0 }
				velocity { box 230,-40,-40,350,40,40 }
				size { line 1,1,3,3 }
				tint { line 0.458824,0.411765,0.337255,0.235294,0.254902,0.172549 }
				rotate { box 0,0.333333 }
			}

			motion
			{
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box 0.333333,0.666667 relative }
			}

			impact
			{
				bounce	0.4
			}
		}
	}
	sound "sound"
	{
		soundShader	"bullet_impact_metal"
	}
	decal "mark"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/bullethole"

			start
			{
				size { line 12,12,15,15 }
				rotate { point 0.180556 }
			}
		}
	}
	spawner "smoke2"
	{
		start		0.06,0.06
		count		1,7

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/smoke/impact_smoke3"
			gravity		-0.005,-0.005

			start
			{
				velocity { box 10,-5,-5,100,5,15 }
				size { line 4,4,8,8 }
				tint { line 0.505882,0.478431,0.447059,0.52549,0.529412,0.470588 }
				fade { point 0.8 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { line 60,60,100,100 }
				tint { line 0.2,0.176471,0.14902,0.196078,0.2,0.14902 }
			}
		}
	}
}




