effect effects/monsters/gib
{
	size	382

	sound "sound"
	{
		soundShader	"effects_walker_squish"
	}
	spawner "splat"
	{
		count		5,5

		sprite
		{
			duration	0.12,0.12
			material	"textures/decals/dsplat2"
			generatedOriginNormal

			start
			{
				position { cylinder -1,-1,-1,1,1,1 }
				velocity { point 5000,0,0 }
				size { point 25,25 }
				rotate { line 0,1 }
			}

			impact
			{
				remove	1
				effect	"effects/monsters/gib_splat"
			}
		}
	}
	emitter "blood"
	{
		duration	1,1
		count		1,1

		sprite
		{
			duration	0.7,1
			material	"gfx/effects/gore_spray/bloodhit3"
			gravity		0.05,0.05

			start
			{
				position { line 0,0,0,10,0,0 linearSpacing }
				velocity { box 20,0,0,80,0,80 }
				size { line 50,50,60,60 }
				tint { line 0.0745098,0.00784314,0.00784314,0.156863,0,0 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 100,100,140,140 }
				fade { point 1 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	emitter "blood2"
	{
		duration	1,1
		count		15.002,15.002

		sprite
		{
			duration	0.7,1
			material	"gfx/effects/gore_spray/bloodhit4"
			gravity		0.05,0.05

			start
			{
				position { line 0,0,0,10,0,0 linearSpacing }
				velocity { box 6,4,-5,40,4,80 }
				size { line 40,50,60,60 }
				tint { line 0.117647,0.0156863,0.0156863,0.156863,0,0 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 100,100,140,140 }
				fade { point 1 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "blood_rear"
	{
		density		2,2
		particleCap		30

		sprite
		{
			duration	0.2,1.4
			material	"gfx/effects/gore_spray/bloodhit3"
			gravity		0.45,0.45
			flipNormal

			start
			{
				position { line 0,0,0,10,0,0 linearSpacing }
				velocity { point -3,50,-5 }
				size { line 125,50,125,60 }
				tint { line 0.0666667,0,0,0.156863,0,0 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 100,100,140,140 }
				fade { point 1 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "blood_streaks"
	{
		count		11.002,11.002
		locked

		line
		{
			duration	0.25,0.5
			generatedLine
			material	"gfx/effects/gore_spray/bloodline1"
			generatedOriginNormal
			flipNormal
			trailType	motion
			trailTime	0,0
			trailCount	0,0
			trailMaterial	"gfx/effects/particles_shapes/motionblur"

			start
			{
				position { cylinder -0.2,-0.3,-0.3,0.2,0.3,0.3 surface }
				velocity { point 1,0,0 }
				size { box 1,2 }
				tint { point 0.501961,0,0 }
				length { box 5,0,0,23,0,0 }
			}

			motion
			{
				tint { envelope "linear" }
				fade { envelope "linear" }
				length { envelope "linear" }
			}

			end
			{
				tint { point 0.14902,0.0509804,0.0156863 }
				length { box 88,0,0,85,0,0 }
			}
		}
	}
}









