effect effects/monsters/gib2
{
	size	276

	spawner "big_squirt"
	{
		start		0,0.2
		count		3,3

		line
		{
			duration	0.2,0.3
			generatedLine
			persist
			material	"gfx/effects/gore_spray/bloodspray"
			gravity		0.0003,0.0003

			start
			{
				position { line -5,-5,-5,5,5,5 }
				velocity { box -5,-5,-50,-600,120,200 }
				tint { line 1,1,1,0.827451,0.0431373,0.0431373 }
				fade { line 0.5,0.6 }
				length { point 10,0,0 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" count 2 offset -1 }
				length { envelope "exp_1minusx/x2" count 0.5,1,1 }
			}

			end
			{
				size { point 8 }
				length { box 100,0,0,150,0,0 }
			}
		}
	}
	spawner "rev_drops"
	{
		count		8,8

		sprite
		{
			duration	0.3,0.6
			persist
			material	"gfx/effects/gore_spray/bloodhit4"
			gravity		0.1,0.3

			start
			{
				velocity { box 20,-50,-50,100,50,150 }
				size { point 10,8 }
				tint { line 0.243137,0,0,0.392157,0,0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "raven_flicker3" count 2 offset -1 }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 40,40,50,50 }
				rotate { box -0.222222,0.222222 relative }
			}
		}
	}
	emitter "splat"
	{
		duration	0.1,0.1
		count		100,100

		sprite
		{
			duration	0.15,0.15
			blend	add
			persist
			material	"textures/decals/dsplat2"
			generatedOriginNormal

			start
			{
				position { sphere -1,-1,-1,1,1,1 }
				velocity { point 4000,0,0 }
				size { point 8,10 }
				rotate { line 0,1 }
			}

			motion
			{
				size { envelope "streamlights" count 1,9 offset 1,8 }
				fade { envelope "comp_effect" }
			}

			end
			{
				fade { point 0.7 }
			}

			impact
			{
				remove	1
				effect	"effects/monsters/gib_splat"
			}
		}
	}
}




