effect effects/monsters/teleport2
{
	size	708

	sound "unnamed11"
	{
		soundShader	"effects_waste_acid_spray_on"
		volume	7,7
		freqshift	0,0
	}
	emitter "electricity2"
	{
		start		0.6,0.6
		duration	1.4,1.4
		count		10,20

		electricity
		{
			duration	1.55,1.55
			blend	add
			fork	0
			jitterRate	0
			jitterSize	3,7,7
			jitterTable	"halfsintable"
			material	"gfx/effects/energy_sparks/energy1"
			generatedNormal

			start
			{
				position { cylinder 0.35,-1,-1,0.35,1,1 }
				tint { line 1,0.501961,0,1,0.501961,0.247059 }
				fade { line 0.5,0.75 }
				length { box 64,0,0,70,0,0 }
			}

			motion
			{
				size { envelope "bfgblast2table" }
				tint { envelope "biggunflash2table" }
				length { envelope "linear" }
			}

			end
			{
				length { box 10,0,0,120,0,0 }
			}
		}
	}
	emitter "unnamed5"
	{
		start		0.8,0.8
		duration	1,1
		count		2,2

		oriented
		{
			duration	1.6,1.6
			blend	add
			material	"gfx/effects/energy_sparks/energy2"

			start
			{
				position { point 1,0,0 }
				size { point 80,80 }
				tint { point 1,0.501961,0.25098 }
			}

			motion
			{
				tint { envelope "airdefense_global_dim_b" }
				fade { envelope "linear" }
			}
		}
	}
	emitter "unnamed7"
	{
		start		0.8,0.8
		duration	1.8,1.8
		count		3,3

		oriented
		{
			duration	1.6,1.6
			blend	add
			material	"gfx/effects/energy_sparks/energy2"

			start
			{
				position { point 1,0,0 }
				velocity { point 66,0,0 }
				size { point 80,80 }
				tint { point 1,0.501961,0.25098 }
			}

			motion
			{
				tint { envelope "airdefense_global_dim_b" }
				fade { envelope "linear" }
			}
		}
	}
	emitter "unnamed12"
	{
		start		1,1
		duration	1,1
		count		1,1

		oriented
		{
			duration	2.2,2.2
			material	"gfx/effects/energy_sparks/teleport_base"

			start
			{
				position { point 1,0,0 }
				size { point 60,60 }
				tint { line 1,1,0,1,0.501961,0.25098 }
			}

			motion
			{
				size { envelope "cosinish" }
				tint { envelope "bgflighttable" }
			}
		}
	}
	spawner "distortion"
	{
		detail		0.3
		start		0.4,0.4
		count		1,1

		sprite
		{
			duration	0.5,1
			blend	add
			persist
			material	"gfx/effects/energy_sparks/explosion_deform3"

			start
			{
				size { point 5,5 }
				tint { point 1,1,0 }
			}

			motion
			{
				size { envelope "linear" count 0.5,0.5 }
				fade { envelope "cosine" count 0.5 }
			}

			end
			{
				size { point 500,500 }
			}
		}
	}
	emitter "spinny"
	{
		detail		0.5
		start		1.1,1.1
		duration	1.3,1.3
		count		3,30

		sprite
		{
			duration	1,2.5
			blend	add
			material	"gfx/effects/energy_sparks/energy1"
			trailType	motion
			trailTime	1,1
			trailCount	6,6

			start
			{
				position { sphere 0,-10,-10,0,10,10 surface }
				velocity { box 0,0,0,100,0,0 }
				angle { box 0,1,-1,0,1,1 }
				size { line 0,0,3,3 }
				tint { line 1,0,0,1,1,0.501961 }
				offset { box 0,-20,-20,0,20,20 }
				rotate { box -1,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "bathroomtable" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "mcc_flicker1" }
			}

			end
			{
				tint { line 1,0.501961,0.247059,1,0,0 }
			}
		}
	}
}







