effect effects/vehicles/gev/maingun/detonate
{
	size	1208

	sound "sound"
	{
		soundShader	"vehicle_walker_cannon_impact"
	}
	shake "camerashake"
	{
		duration	0.7,0.7
		attenuateEmitter
		attenuation	200,600
	}
	spawner "residual_smoke"
	{
		start		0.2,0.2
		count		6,6

		sprite
		{
			duration	3,3
			material	"gfx/effects/smoke/cloud_alpha3"
			gravity		-0.04,-0.04

			start
			{
				position { line -50,-50,-50,50,50,50 }
				velocity { box 0,0,0,3,0,0 }
				size { line 220,220,280,280 }
				tint { point 0.380392,0.372549,0.321569 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				fade { envelope "cosine" }
				rotate { envelope "linear" }
			}

			end
			{
				fade { point 0.4 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "ring_mark"
	{
		count		1,1

		oriented
		{
			duration	0.2,0.2
			blend	add
			material	"gfx/effects/weapons/railgun_ring"

			start
			{
				position { point 0.1,0,0 }
				tint { point 1,0.980392,0.72549 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 600,600 }
			}
		}
	}
	spawner "column_fire"
	{
		count		4,4

		sprite
		{
			duration	0.3,0.3
			material	"gfx/effects/fire/fire5a"

			start
			{
				position { sphere -100,-100,-100,100,100,100 linearSpacing }
				angle { box 0,0,0,1,1,1 }
				size { box 160,160,180,180 }
				offset { box -2,-2,-2,2,2,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 300,300,350,350 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.166667,0.166667 relative }
			}
		}
	}
	spawner "flash"
	{
		count		1,3

		sprite
		{
			duration	0.25,1.15
			material	"gfx/effects/weapons/shotgun_mflash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { box 250,250,300,300 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "fastinslowout" }
			}

			end
			{
				size { box 100,100,600,600 }
				fade { point 1 }
			}
		}
	}
	spawner "flash2"
	{
		count		1,1

		sprite
		{
			duration	0.1,0.2
			blend	add
			material	"gfx/effects/weapons/muzzleflash2_depth"

			start
			{
				size { box 300,300,700,700 }
				tint { point 1,1,0.8 }
				fade { point 0 }
			}

			motion
			{
				size { envelope "medlabs_fluid_green_b" }
				fade { envelope "fastinslowout" }
			}

			end
			{
				size { point 350,350 }
				fade { point 0.8 }
			}
		}
	}
	emitter "deform"
	{
		duration	1,1
		count		1,1

		sprite
		{
			duration	0.35,0.35
			material	"gfx/effects/energy_sparks/explosion_deform_grenade"

			start
			{
				velocity { point 500,0,0 }
				size { point 0,0 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 800,800 }
			}
		}
	}
	emitter "deform2"
	{
		duration	1,1
		count		1,1

		oriented
		{
			duration	0.35,0.35
			material	"gfx/effects/energy_sparks/explosion_deform_grenade"

			start
			{
				position { point 1,0,0 }
			}

			motion
			{
				size { envelope "linear" }
			}

			end
			{
				size { point 600,600 }
			}
		}
	}
	spawner "embers_out"
	{
		count		30,30

		sprite
		{
			duration	1,3
			blend	add
			material	"gfx/effects/energy_sparks/spark3"
			gravity		0.1,0.2

			start
			{
				position { sphere -250,-250,-250,250,250,250 }
				velocity { point 100,0,0 }
				angle { box 0,0,0,1,1,1 }
				size { line 2,2,4,4 }
				tint { line 0.996078,0.968628,0.905882,0.94902,0.603922,0.376471 }
				offset { box -20,-20,-20,20,20,20 }
				rotate { box 0.251,-0.25 }
			}

			motion
			{
				size { envelope "exp_x2" }
				fade { envelope "linear_flicker" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 0.5,0.5,1,1 }
				angle { box -1,-1,-1,1,1,1 relative }
			}
		}
	}
	sound "sound3"
	{
		soundShader	"vehicle_walker_cannon_impact"
	}
	sound "unnamed17"
	{
		soundShader	"player_grenadelauncher_explode"
	}
	shake "camerashake3"
	{
		duration	0.7,0.7
		attenuateEmitter
		attenuation	200,600
	}
	spawner "darksmoke4"
	{
		start		0.2,0.2
		count		7,7

		sprite
		{
			duration	3,6
			material	"gfx/effects/smoke/smoke_dark"
			gravity		-0.004,-0.004

			start
			{
				position { sphere 40,-100,-100,100,100,100 }
				velocity { box -20,-20,-20,20,20,20 }
				size { line 60,60,80,80 }
				tint { point 0.529412,0.521569,0.470588 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { line 180,180,200,200 }
				fade { point 0.6 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "fire5"
	{
		count		4,4

		sprite
		{
			duration	0.5,4.5
			material	"gfx/effects/fire/fire3a"

			start
			{
				position { line 0,0,0,150,0,0 linearSpacing }
				velocity { box -40,-40,-40,40,40,40 }
				angle { box 0,0,0,1,1,1 }
				size { box 140,140,150,150 }
				offset { box -2,-2,-2,2,2,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 220,220,250,250 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "flash5"
	{
		count		1,1

		sprite
		{
			duration	0.25,0.25
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { line 340,340,360,360 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 140,140 }
			}
		}
	}
	emitter "deform4"
	{
		duration	1,1
		count		1,1

		sprite
		{
			duration	0.35,0.35
			blend	add
			material	"gfx/effects/energy_sparks/explosion_deform_grenade"

			start
			{
				size { point 0,0 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 600,600 }
			}
		}
	}
	emitter "deform5"
	{
		duration	1,1
		count		1,1

		oriented
		{
			duration	0.35,0.35
			material	"gfx/effects/energy_sparks/explosion_deform_grenade"

			start
			{
				position { point 1,0,0 }
			}

			motion
			{
				size { envelope "linear" }
			}

			end
			{
				size { point 600,600 }
			}
		}
	}
	sound "sound8"
	{
		soundShader	"player_rocketlauncher_explode"
	}
	sound "unnamed22"
	{
		soundShader	"player_grenadelauncher_explode"
	}
	shake "camerashake11"
	{
		duration	0.7,0.7
		attenuateEmitter
		attenuation	200,600
	}
	decal "scorch11"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/rocketburn"

			start
			{
				size { point 80,0 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "ring_mark11"
	{
		detail		0.5
		count		1,1

		oriented
		{
			duration	0.2,0.2
			blend	add
			material	"gfx/effects/energy_sparks/energy2"

			start
			{
				position { point 0.1,0,0 }
				size { point 240,240 }
				tint { point 1,0.980392,0.72549 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 400,400 }
			}
		}
	}
	spawner "flash11"
	{
		count		1,1

		sprite
		{
			duration	0.5,0.9
			blend	add
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { point 110,110 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "medlabs_fluid_green_g" }
			}

			end
			{
				size { point 400,400 }
			}
		}
	}
	light "unnamed23"
	{
		locked

		light
		{
			duration	0.5,0.5
			shadows
			material	"lights/round"

			start
			{
				size { point 340,340,140 }
				tint { point 1,0.733333,0.592157 }
			}

			motion
			{
				size { envelope "linear_flicker" count 1,2,0 }
			}
		}
	}
	spawner "chunks9"
	{
		count		43,48

		model
		{
			duration	2,2
			material	"gfx/test/rocket_chunks"
			model		"models/test/rocket_chunk.lwo"
			gravity		0.25,0.5
			generatedOriginNormal
			trailType	chunks_trail

			start
			{
				position { sphere 0.14,-0.2,-0.2,0.14,0.2,0.2 }
				velocity { box 400,-600,-600,700,600,600 }
				tint { line 0,0,0,0.109804,0.054902,0 }
				rotate { box 0,0,0,0.333333,0.333333,0.333333 }
			}

			motion
			{
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box 0.333333,0.333333,0.333333,0.666667,0.666667,0.666667 relative }
			}
		}
	}
	spawner "fire9"
	{
		count		4,4

		sprite
		{
			duration	1,1
			material	"gfx/effects/fire/fire3a"

			start
			{
				position { sphere -50,-50,-50,50,50,50 linearSpacing }
				velocity { box -10,-10,-10,10,10,10 }
				angle { box 0,0,0,1,1,1 }
				size { box 30,30,40,40 }
				tint { point 1,0.792157,0.792157 }
				offset { box -2,-2,-2,2,2,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "halflinear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 90,90,120,120 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "flash9"
	{
		count		1,1

		sprite
		{
			duration	0.75,0.75
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { line 140,140,160,160 }
				tint { point 1,0.72549,0.72549 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 40,40 }
			}
		}
	}
}









