effect effects/vehicles/gev/respawn
{
	size	771

	sound "sound"
	{
		soundShader	"sound/militia/vehicle_respawn"
		volume	3,3
	}
	emitter "star2"
	{
		start		0.4,0.4
		duration	1,1
		count		7,7

		sprite
		{
			duration	6,6
			blend	add
			material	"gfx/effects/energy_sparks/spark2"

			start
			{
				position { point 0,0,10 }
				size { box 0,0,140,160 }
				tint { line 0.501961,0.501961,0.501961,0.603922,0.576471,0.921569 }
				rotate { box -1,1 }
			}

			motion
			{
				size { envelope "circle_pulse2" }
				tint { envelope "blinktable2" }
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box -1,1 relative }
			}
		}
	}
	emitter "motes"
	{
		start		2.3,2.3
		duration	11,11
		count		13,13

		sprite
		{
			duration	0.2,0.2
			blend	add
			material	"gfx/effects/weapons/blue_spark"
			gravity		0.01,0.05
			generatedNormal

			start
			{
				position { point 0,0,20 }
				velocity { box 0,-5,-5,0,5,5 }
				size { point 350,650 }
				tint { line 0.639216,0.639216,0.858824,0.74902,0.74902,0.74902 }
				fade { line 0.5,0.9 }
			}

			motion
			{
				size { envelope "circle_stretch" }
				fade { envelope "linear" }
			}
		}
	}
	emitter "moresprites"
	{
		start		2.3,2.3
		duration	11,11
		count		7,7

		sprite
		{
			duration	1,1
			blend	add
			material	"gfx/effects/energy_sparks/spark2"
			gravity		-0.2,-0.2

			start
			{
				position { point 0,4,4 }
				velocity { point 9,0,10 }
				angle { box 0,0,-0.5,0,0,0.5 }
				size { point 75,75 }
				tint { line 0.74902,0.74902,0.74902,0,0,1 }
				fade { line 0.5,1 }
				offset { box 0,-10,-10,0,10,10 }
			}

			motion
			{
				fade { envelope "linear" }
				angle { envelope "linear" }
			}

			end
			{
				angle { box 0,0,-1,0,0,1 }
			}
		}
	}
	light "unnamed4"
	{
		start		1,1
		locked

		light
		{
			duration	9,9
			shadows
			specular
			material	"gfx/lights/round2"

			start
			{
				size { point 250,250,210 }
				tint { point 0.992157,0.941177,0.756863 }
			}

			motion
			{
				size { envelope "costable" }
			}

			end
			{
				size { point 40,40,40 }
			}
		}
	}
	light "unnamed5"
	{
		start		3,3
		locked

		light
		{
			duration	6.2,6.2
			shadows
			specular
			material	"gfx/lights/round2"

			start
			{
				size { point 350,550,410 }
				tint { point 0.309804,0.309804,0.611765 }
			}

			motion
			{
				size { envelope "cosine" rate 1,90,1 }
			}

			end
			{
				size { box 420,420,60,20,20,60 }
			}
		}
	}
}













