effect effects/vehicles/walker/machinegun/impact_concrete
{
	size	1541

	sound "sound"
	{
		soundShader	"effects_bulletimpact_concrete"
	}
	decal "mark"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/bullethole"

			start
			{
				size { box 15,15,25,25 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "smoke"
	{
		start		0.1,0.1
		count		2,2

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.05,0.05

			start
			{
				velocity { box 30,-5,-5,120,5,5 }
				acceleration { point -20,0,0 }
				size { line 10,10,15,15 }
				tint { line 0.509804,0.47451,0.286275,0.466667,0.439216,0.329412 }
				fade { point 0.6 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { line 20,20,27,27 }
				tint { line 0.172549,0.137255,0.0705882,0.105882,0.0941177,0.0705882 }
			}
		}
	}
	sound "sound2"
	{
		soundShader	"effects_bulletimpact_concrete"
	}
	decal "mark2"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/bullethole"

			start
			{
				size { box 4,4,6,6 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "dirt2"
	{
		detail		0.5
		count		3,3

		line
		{
			duration	0.05,0.3
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.5,0.5

			start
			{
				tint { line 0.317647,0.278431,0.184314,0.270588,0.262745,0.227451 }
				fade { point 0 }
				length { box 45,0,0,70,0,0 }
			}

			motion
			{
				fade { envelope "fastinslowout" }
				length { envelope "linear" }
			}

			end
			{
				fade { point 0.8 }
			}
		}
	}
	spawner "debris2"
	{
		detail		0.5
		start		0.1,0.1
		count		1,1

		sprite
		{
			duration	0.35,0.7
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.3,0.3

			start
			{
				velocity { box 100,-30,-30,150,30,30 }
				size { line 4,4,9,9 }
				tint { line 0.509804,0.47451,0.286275,0.466667,0.439216,0.329412 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
			}

			end
			{
				size { point 15,15 }
				fade { point 0.6 }
			}
		}
	}
	spawner "smoke2"
	{
		start		0.04,0.04
		count		1,5

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.002,0.002

			start
			{
				position { line 0,0,0,20,0,0 }
				velocity { box 0,-5,-5,10,5,5 }
				acceleration { point -20,0,0 }
				size { box 0.5,3,1,4 }
				tint { point 0.411765,0.376471,0.313726 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { box 20,20,30,30 }
			}
		}
	}
	spawner "chunks2"
	{
		detail		0.75
		start		0.04,0.04
		count		7,12

		sprite
		{
			duration	0.5,0.75
			material	"gfx/effects/particles_shapes/concrete_chunks"
			gravity		0.75,0.75

			start
			{
				velocity { box 200,-80,-80,300,80,80 }
				size { line 0.25,0.25,2,2 }
				tint { line 0.458824,0.411765,0.337255,0.254902,0.254902,0.188235 }
				rotate { box 0,1 }
			}

			motion
			{
				fade { envelope "linear" }
			}
		}
	}
	spawner "chunks_physics2"
	{
		detail		0.75
		start		0.04,0.04
		count		1,1

		sprite
		{
			duration	3,3
			material	"gfx/effects/particles_shapes/concrete_chunks"
			gravity		0.75,0.75

			start
			{
				position { point 1,0,0 }
				velocity { box 200,-80,-80,300,80,80 }
				size { line 0.5,0.5,2,2 }
				tint { line 0.458824,0.411765,0.337255,0.235294,0.254902,0.172549 }
				rotate { box 0,1 }
			}

			motion
			{
				fade { envelope "linear" }
			}

			impact
			{
				bounce	0.4
			}
		}
	}
	spawner "single_streak2"
	{
		detail		0.5
		count		1,1

		line
		{
			duration	0.02,0.02
			blend	add
			generatedLine
			material	"gfx/effects/weapons/flash_half3"

			start
			{
				position { point 2,0,0 }
				velocity { point 1,0,0 }
				size { point 5 }
				length { box 10,0,0,14,0,0 }
			}

			motion
			{
				fade { envelope "linear" }
				length { envelope "linear" }
			}

			end
			{
				length { box 4,0,0,6,0,0 }
			}
		}
	}
}










