effect effects/vehicles/walker/machinegun/impact_rock
{
	size	540

	sound "sound"
	{
		soundShader	"effects_bulletimpact_concrete"
	}
	emitter "dirt"
	{
		duration	1,1
		count		5,5

		line
		{
			duration	0.25,0.7
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.5,0.5

			start
			{
				size { box 28,42 }
				tint { line 0.360784,0.317647,0.211765,0.309804,0.301961,0.266667 }
				fade { point 0 }
				length { box 80,0,0,150,0,0 }
			}

			motion
			{
				fade { envelope "fastinslowout" }
				length { envelope "linear" }
			}

			end
			{
				fade { point 0.5 }
			}
		}
	}
	decal "mark"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/bullethole"

			start
			{
				size { box 15,15,25,25 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "chunks"
	{
		start		0.04,0.04
		count		2,2

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/particles_shapes/concrete_chunks"
			gravity		0.75,0.75

			start
			{
				position { sphere -20,-20,-20,20,20,20 }
				velocity { box 200,-80,-80,500,80,80 }
				size { line 2,2,5,5 }
				tint { line 0.470588,0.419608,0.329412,0.258824,0.243137,0.184314 }
				rotate { box 0,1 }
			}

			motion
			{
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box -0.666667,0.666667 relative }
			}
		}
	}
	spawner "smoke"
	{
		count		12,12

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.05,0.05

			start
			{
				position { line 0,0,0,30,0,0 }
				velocity { box 0,-5,-5,50,5,55 }
				acceleration { point -20,0,0 }
				size { line 20,20,35,35 }
				tint { line 0.27451,0.262745,0.156863,0.247059,0.227451,0.172549 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "cosine" }
			}

			end
			{
				size { line 70,70,110,110 }
				fade { point 1 }
			}
		}
	}
	emitter "flash"
	{
		duration	1,1
		count		1,1
		locked

		sprite
		{
			duration	0.16,0.16
			blend	add
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { box 4,20,30,30 }
			}

			motion
			{
				tint { envelope "linear" }
			}
		}
	}
}














