effect effects/weapons/grenadelauncher/impact_mp
{
	size	1090

	sound "sound8"
	{
		soundShader	"player_rocketlauncher_explode"
	}
	sound "unnamed22"
	{
		soundShader	"player_grenadelauncher_explode"
	}
	shake "camerashake11"
	{
		duration	0.7,0.7
		scale		0.4
		attenuateEmitter
		attenuation	20,110
	}
	decal "scorch11"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/rocketburn"

			start
			{
				size { point 80,0 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "ring_mark11"
	{
		detail		0.5
		count		1,1

		oriented
		{
			duration	0.2,0.2
			blend	add
			material	"gfx/effects/energy_sparks/energy2"

			start
			{
				position { point 0.1,0,0 }
				size { point 240,240 }
				tint { point 1,0.980392,0.72549 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 400,400 }
			}
		}
	}
	spawner "flash11"
	{
		count		1,1

		sprite
		{
			duration	0.5,0.9
			blend	add
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { point 60,60 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "medlabs_fluid_green_g" }
			}

			end
			{
				size { point 110,110 }
			}
		}
	}
	spawner "firesphere10"
	{
		detail		0.75
		count		40,40
		locked

		oriented
		{
			duration	1,3
			blend	add
			material	"gfx/effects/fire/fire4a"
			generatedNormal

			start
			{
				size { point 80,80 }
				fade { point 0 }
				rotate { box 0,0,0,0,0,1 }
			}

			motion
			{
				size { envelope "convexfade" }
				tint { envelope "exp_x2" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 110,110 }
				fade { point 0.6 }
				rotate { box 0,0,-0.0555556,0,0,0.0555556 relative }
			}
		}
	}
	light "unnamed23"
	{
		locked

		light
		{
			duration	0.5,0.5
			shadows
			material	"lights/round"

			start
			{
				size { point 140,140,140 }
				tint { point 1,0.733333,0.592157 }
			}

			motion
			{
				size { envelope "linear_flicker" count 1,2,0 }
			}
		}
	}
	spawner "chunks9"
	{
		count		43,48

		model
		{
			duration	2,2
			material	"gfx/test/rocket_chunks"
			model		"models/test/rocket_chunk.lwo"
			gravity		0.25,0.5
			generatedOriginNormal
			trailType	chunks_trail

			start
			{
				position { sphere 0.14,-0.2,-0.2,0.14,0.2,0.2 }
				velocity { box 400,-600,-600,700,600,600 }
				tint { line 0,0,0,0.109804,0.054902,0 }
				rotate { box 0,0,0,0.333333,0.333333,0.333333 }
			}

			motion
			{
				fade { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				rotate { box 0.333333,0.333333,0.333333,0.666667,0.666667,0.666667 relative }
			}
		}
	}
	emitter "debris8"
	{
		duration	0.3,0.3
		count		1,1

		sprite
		{
			duration	1,1.5
			material	"gfx/effects/particles_shapes/debris_cloud"
			gravity		0.001,0.001

			start
			{
				velocity { box 0,0,0,4,0,0 }
				size { line 40,40,60,60 }
				tint { line 0,0,0,0.211765,0.211765,0.211765 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "decalfade" }
			}

			end
			{
				size { line 50,50,80,80 }
				fade { point 1 }
			}
		}
	}
	spawner "fire9"
	{
		count		4,4

		sprite
		{
			duration	1,1
			material	"gfx/effects/fire/fire3a"

			start
			{
				position { sphere -10,-10,-10,10,10,10 linearSpacing }
				velocity { box -10,-10,-10,10,10,10 }
				angle { box 0,0,0,1,1,1 }
				size { box 30,30,40,40 }
				tint { point 1,0.792157,0.792157 }
				offset { box -2,-2,-2,2,2,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "halflinear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { box 40,40,60,60 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "flash9"
	{
		count		1,1

		sprite
		{
			duration	0.75,0.75
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { line 70,70,80,80 }
				tint { point 1,0.72549,0.72549 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 40,40 }
			}
		}
	}
}






