effect effects/weapons/grenadelauncher/tripbomb_detonate
{
	size	641

	sound "sound"
	{
		soundShader	"vehicle_walker_cannon_impact"
	}
	sound "unnamed15"
	{
		soundShader	"player_grenadelauncher_explode"
	}
	shake "camerashake"
	{
		duration	0.3,0.5
		attenuateEmitter
		attenuation	80,150
	}
	decal "scorch"
	{

		decal
		{
			duration	0.002,0.002
			material	"textures/decals/rocketburn"

			start
			{
				size { point 100,0 }
				rotate { box 0,1 }
			}
		}
	}
	spawner "fire2"
	{
		count		1,1

		sprite
		{
			duration	0.4,0.8
			material	"gfx/effects/fire/fire1a"
			generatedOriginNormal

			start
			{
				position { cylinder 0.1,-0.1,-0.1,0.1,0.1,0.1 surface linearSpacing }
				angle { box 0,0,0,1,1,1 }
				size { point 20,20 }
				offset { box -2,-2,-2,2,2,2 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "exp_x2" }
				fade { envelope "mcc_flicker2" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 70,70 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { point 0 relative }
			}
		}
	}
	spawner "fire3"
	{
		count		1,1

		sprite
		{
			duration	0.5,0.5
			material	"gfx/effects/fire/fire3a"

			start
			{
				position { line 0,0,0,150,0,0 linearSpacing }
				velocity { box 80,0,0,120,0,0 }
				angle { box 0,0,0,1,1,1 }
				size { point 25,25 }
				offset { box -2,-2,-2,2,2,2 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "exp_x2" }
				fade { envelope "linear" }
				angle { envelope "linear" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 35,35 }
				angle { box -1,-1,-1,1,1,1 relative }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "flash3"
	{
		count		1,1

		sprite
		{
			duration	0.25,0.25
			material	"gfx/effects/weapons/flash"
			generatedNormal

			start
			{
				position { point 1,0,0 }
				size { line 30,30,60,60 }
				tint { point 1,0.858824,0.792157 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				tint { envelope "linear" }
				fade { envelope "nailgunburn" }
			}

			end
			{
				size { point 140,140 }
			}
		}
	}
	light "unnamed11"
	{
		locked

		light
		{
			duration	0.1,0.1
			shadows
			specular
			material	"lights/round"

			start
			{
				size { point 400,400,300 }
			}
		}
	}
	emitter "darksmoke2"
	{
		duration	1,1
		count		1,1

		sprite
		{
			duration	0.2,1
			material	"gfx/effects/smoke/smoke_dark"
			gravity		-0.001,-0.001

			start
			{
				velocity { box 0,-3,-3,20,3,3 }
				size { box 5,5,40,40 }
				tint { point 0.529412,0.521569,0.470588 }
				fade { point 0 }
				rotate { box 0,1 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "fastinslowout" }
				rotate { envelope "linear" }
			}

			end
			{
				size { point 130,130 }
				fade { point 0.6 }
				rotate { box -0.111111,0.111111 relative }
			}
		}
	}
	spawner "ring_mark11"
	{
		detail		0.5
		count		1,1

		oriented
		{
			duration	0.2,0.2
			blend	add
			material	"gfx/effects/energy_sparks/energy2"

			start
			{
				position { point 0.1,0,0 }
				size { point 60,60 }
				tint { point 1,0.980392,0.72549 }
			}

			motion
			{
				size { envelope "linear" }
				fade { envelope "linear" }
			}

			end
			{
				size { point 200,200 }
			}
		}
	}
}











